{% extends "base.html" %}

{% block content %}
<main role="main" class="col-sm-9 ml-sm-auto col-md-10 pt-3">
    <br>
    <h2>Tenant list</h2>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
            <tr>
                <th>#</th>
                <th>Name</th>
                <th>Tenant Id</th>
                <th>Cloud Region</th>
                <th>Cloud Owner</th>
            </tr>
            </thead>
            <tbody>
            {% for tenant in tenants %}
            <tr>
                <td><class="tenant" type="text" id="{{loop.index}}" name="{{loop.index}}" value="{{loop.index}}">{{loop.index}}</td>
                <td><class="tenant" type="text" id="tenant_name_{{loop.index}}" name="tenant_{{loop.index}}" value="{{tenant['tenant-name']}}">{{tenant['tenant-name']}}</td>
                <td><class="tenant" type="text" id="tenant_id_{{loop.index}}" name="tenant_id_{{loop.index}}" value="{{tenant['tenant-id']}}">{{tenant['tenant-id']}}</td>
                <td><class="tenant" type="text" id="tenant_region_{{loop.index}}" name="tenant_{{loop.index}}" value="{{tenant['cloud-region-id']}}">{{tenant['cloud-region-id']}}</td>
                <td><class="tenant" type="text" id="tenant_owner_{{loop.index}}" name="tenant_{{loop.index}}" value="{{tenant['cloud-owner']}}">{{tenant['cloud-owner']}}</td>
                <td>
                   <a href="../../tenants/tenant_delete?cloud_region_id={{tenant['cloud-region-id']}}&cloud_owner={{tenant['cloud-owner']}}&tenant_id={{tenant['tenant-id']}}" class="btn btn-danger">Delete</a>
                </td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</main>
{% endblock %}
